> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 建立測試套件

> 為專案建立新的測試套件

## 請求

```bash theme={null}
POST https://api.pathors.com/v1/projects/{projectId}/test-suites
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

### 請求主體

<ParamField body="name" type="string" required>
  測試套件的名稱
</ParamField>

<ParamField body="testCaseIds" type="array">
  要納入套件中的測試案例 ID 陣列
</ParamField>

## 回應

回傳建立的測試套件，狀態碼為 `201`。

### 範例

```bash theme={null}
curl -X POST https://api.pathors.com/v1/projects/{projectId}/test-suites \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Regression suite",
    "testCaseIds": ["test-case-uuid-1", "test-case-uuid-2"]
  }'
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-2" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
